Debian Bug report logs - #631073
ghc: segfault when starting ‘ghci’

version graph

Package: ghc; Maintainer for ghc is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for ghc is src:ghc.

Reported by: Ben Finney <ben+debian@benfinney.id.au>

Date: Sun, 19 Jun 2011 21:33:02 UTC

Severity: important

Tags: upstream

Found in version ghc/7.0.3-1

Fixed in version ghc/7.0.4-8

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://hackage.haskell.org/trac/ghc/ticket/2972

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ben+debian@benfinney.id.au, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Sun, 19 Jun 2011 21:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
New Bug report received and forwarded. Copy sent to ben+debian@benfinney.id.au, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sun, 19 Jun 2011 21:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ghc: segfault when starting ‘ghci’
Date: Mon, 20 Jun 2011 07:31:56 +1000
[Message part 1 (text/plain, inline)]
Package: ghc
Version: 7.0.3-1
Severity: important

Attempting to start ‘ghci’ causes a segfault before the first prompt:

=====
$ ghci
GHCi, version 7.0.3: http://www.haskell.org/ghc/  :? for help
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... done.
Segmentation fault
=====

An ‘strace’ of the above is attached to this message.

[ghci.2011-06-20.strace (text/plain, attachment)]
[Message part 3 (text/plain, inline)]

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (900, 'stable')
Architecture: powerpc (ppc64)

Kernel: Linux 2.6.38-2-powerpc64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_AU.utf8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ghc depends on:
ii  gcc                       4:4.6.0-5      The GNU C compiler
ii  libbsd-dev                0.3.0-1        utility functions from BSD systems
ii  libc6                     2.13-4         Embedded GNU C Library: Shared lib
ii  libc6-dev                 2.13-4         Embedded GNU C Library: Developmen
ii  libffi-dev                3.0.9-4        Foreign Function Interface library
ii  libffi5                   3.0.9-4        Foreign Function Interface library
ii  libgmp-dev                2:5.0.1+dfsg-7 Multiprecision arithmetic library 
ii  libgmp10                  2:5.0.1+dfsg-7 Multiprecision arithmetic library
ii  libncurses5               5.9-1          shared libraries for terminal hand

ghc recommends no packages.

Versions of packages ghc suggests:
ii  ghc-doc                      7.0.3-1     Documentation for the Glasgow Hask
pn  ghc-prof                     <none>      (no description available)
ii  haskell-doc                  20061127    Assorted Haskell language document
ii  perl                         5.12.3-7+b1 Larry Wall's Practical Extraction 

-- no debconf information

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Wed, 10 Aug 2011 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Wed, 10 Aug 2011 12:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 631073@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: debian-haskell@lists.debian.org
Cc: 631073@bugs.debian.org
Subject: Re: haskell-data-accessor-template FTBFS on powerpc
Date: Wed, 10 Aug 2011 14:46:54 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Mittwoch, den 10.08.2011, 21:05 +1000 schrieb Erik de Castro Lopo:
> This seems to be the ghci segfault problem. I tried to build 
> it manually by compiling Setup.lhs, configuring and building
> and I get the same problem:
> 
> 
>   erikd@corea > ./Setup build
>   Preprocessing library data-accessor-template-0.2.1.7...
>   Building data-accessor-template-0.2.1.7...
>   [1 of 2] Compiling Data.Accessor.Template ( src-5/Data/Accessor/
>   Template.hs, dist/build/Data/Accessor/Template.o )
>   [2 of 2] Compiling Data.Accessor.Template.Example ( src/Data/
>   Accessor/Template/Example.hs, dist/build/Data/Accessor/Template/Example.o )
>   Loading package ghc-prim ... linking ... done.
>   Loading package integer-gmp ... linking ... done.
>   Loading package base ... linking ... done.
>   Loading package utility-ht-0.0.5.1 ... linking ... done.
>   Loading package array-0.3.0.2 ... linking ... done.
>   Loading package containers-0.4.0.0 ... linking ... done.
>   Loading package pretty-1.0.1.2 ... linking ... done.
>   Loading package template-haskell ... linking ... done.
>   Loading package transformers-0.2.2.0 ... linking ... done.
>   Loading package data-accessor-0.2.1.7 ... linking ... done.
>   erikd@corea > echo $?
>   11
> 
> Exit code of 11 is segfault. Looks like this is a package
> that we can't build on powerpc until ghc is fixed.

Is this http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=631073 ? Was
there something we can do about this (e.g. different build settings), or
do we have to wait for a fixed upstream version? Should we stop building
ghci on powerpc? And can we maybe add a check to the build so that it
fails if ghci does not work (e.g. with "ghc -e 'return()'")? Does "ghc
-e 'return()'" work on powerpc?

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Wed, 31 Aug 2011 11:12:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrik Sverdrup <ulrik.sverdrup@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Wed, 31 Aug 2011 11:12:17 GMT) Full text and rfc822 format available.

Message #15 received at 631073@bugs.debian.org (full text, mbox):

From: Ulrik Sverdrup <ulrik.sverdrup@gmail.com>
To: 631073@bugs.debian.org
Subject: Upstream bug
Date: Wed, 31 Aug 2011 13:08:58 +0200
Upstream bug report is http://hackage.haskell.org/trac/ghc/ticket/2972
 it reports GHCi 6.10 broken and GHCi version 6.8 as the latest
working version for powerpc.




Set Bug forwarded-to-address to 'http://hackage.haskell.org/trac/ghc/ticket/2972'. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Wed, 31 Aug 2011 13:09:10 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Wed, 31 Aug 2011 13:09:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Fri, 02 Sep 2011 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrik Sverdrup <ulrik.sverdrup@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 02 Sep 2011 09:06:07 GMT) Full text and rfc822 format available.

Message #24 received at 631073@bugs.debian.org (full text, mbox):

From: Ulrik Sverdrup <ulrik.sverdrup@gmail.com>
To: 631073@bugs.debian.org
Subject: Report of working ghci for powerpc
Date: Fri, 2 Sep 2011 11:03:30 +0200
I've been used to ghci not working on powerpc, and I revisisted this
bug with the previous update to make sure it was tracked in Debian. To
my surprise, the current version of ghci in testing, does in fact
start and act like normal on my powerpc system. Below is the
information collected by reportbug.

For my system, where previous late 6.* versions of ghc have had
segfaults at startup for  ghc --interactive, This version (below)
7.0.4 does work.

$ ghci
GHCi, version 7.0.4: http://www.haskell.org/ghc/  :? for help
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... done.
Prelude> take 5 $ map (*5) [1..]
[5,10,15,20,25]
Prelude> :m +Control.Monad
Prelude Control.Monad>



Subject: ghci does not segfault
Package: ghc
Version: 7.0.4-4
Severity: normal

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable'), (1, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.39-2-powerpc
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ghc depends on:
ii  gcc                       4:4.6.1-2      GNU C compiler
ii  libbsd-dev                0.3.0-1        utility functions from BSD systems
ii  libc6                     2.13-16        Embedded GNU C Library: Shared lib
ii  libc6-dev                 2.13-16        Embedded GNU C Library: Developmen
ii  libffi-dev                3.0.9-7        Foreign Function Interface library
ii  libffi5                   3.0.9-7        Foreign Function Interface library
ii  libgmp-dev                2:5.0.1+dfsg-7 Multiprecision arithmetic library
ii  libgmp10                  2:5.0.1+dfsg-7 Multiprecision arithmetic library
ii  libncurses5               5.9-1          shared libraries for terminal hand

ghc recommends no packages.

Versions of packages ghc suggests:
pn  ghc-doc                       <none>     (no description available)
pn  ghc-prof                      <none>     (no description available)
pn  haskell-doc                   <none>     (no description available)
ii  perl                          5.12.4-4   Larry Wall's Practical Extraction

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Fri, 02 Sep 2011 09:24:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 02 Sep 2011 09:24:18 GMT) Full text and rfc822 format available.

Message #29 received at 631073@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: 631073@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#631073: Report of working ghci for powerpc
Date: Fri, 2 Sep 2011 19:15:49 +1000
Ulrik Sverdrup wrote:

> I've been used to ghci not working on powerpc, and I revisisted this
> bug with the previous update to make sure it was tracked in Debian. To
> my surprise, the current version of ghci in testing, does in fact
> start and act like normal on my powerpc system. Below is the
> information collected by reportbug.
> 
> For my system, where previous late 6.* versions of ghc have had
> segfaults at startup for  ghc --interactive, This version (below)
> 7.0.4 does work.

What is the debian package version of that?

I've got 7.0.4-6 from unstable and I get:

    sid > ghc --interactive
    GHCi, version 7.0.4: http://www.haskell.org/ghc/  :? for help
    Loading package ghc-prim ... linking ... done.
    Loading package integer-gmp ... linking ... done.
    Loading package base ... linking ... done.
    Segmentation fault


Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Fri, 02 Sep 2011 11:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrik Sverdrup <ulrik.sverdrup@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 02 Sep 2011 11:09:15 GMT) Full text and rfc822 format available.

Message #34 received at 631073@bugs.debian.org (full text, mbox):

From: Ulrik Sverdrup <ulrik.sverdrup@gmail.com>
To: 631073@bugs.debian.org
Cc: Erik de Castro Lopo <erikd@mega-nerd.com>
Subject: Re: [Pkg-haskell-maintainers] Bug#631073: Report of working ghci for powerpc
Date: Fri, 2 Sep 2011 13:07:54 +0200
The working powerpc ghci is debian version Version: 7.0.4-4. That
version number and reportbug's list of dependencies with versions is
included in my previous email (see this bug's url if that extra
information was stripped from the email you received).




Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Sun, 30 Oct 2011 19:21:10 GMT) Full text and rfc822 format available.

Notification sent to Ben Finney <ben+debian@benfinney.id.au>:
Bug acknowledged by developer. (Sun, 30 Oct 2011 19:21:10 GMT) Full text and rfc822 format available.

Message #39 received at 631073-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 631073-close@bugs.debian.org
Subject: Bug#631073: fixed in ghc 7.0.4-8
Date: Sun, 30 Oct 2011 19:19:01 +0000
Source: ghc
Source-Version: 7.0.4-8

We believe that the bug you reported is fixed in the latest version of
ghc, which is due to be installed in the Debian FTP archive:

ghc-doc_7.0.4-8_all.deb
  to main/g/ghc/ghc-doc_7.0.4-8_all.deb
ghc-dynamic_7.0.4-8_amd64.deb
  to main/g/ghc/ghc-dynamic_7.0.4-8_amd64.deb
ghc-haddock_7.0.4-8_amd64.deb
  to main/g/ghc/ghc-haddock_7.0.4-8_amd64.deb
ghc-prof_7.0.4-8_amd64.deb
  to main/g/ghc/ghc-prof_7.0.4-8_amd64.deb
ghc6-doc_7.0.4-8_all.deb
  to main/g/ghc/ghc6-doc_7.0.4-8_all.deb
ghc6-prof_7.0.4-8_all.deb
  to main/g/ghc/ghc6-prof_7.0.4-8_all.deb
ghc6_7.0.4-8_all.deb
  to main/g/ghc/ghc6_7.0.4-8_all.deb
ghc_7.0.4-8.debian.tar.gz
  to main/g/ghc/ghc_7.0.4-8.debian.tar.gz
ghc_7.0.4-8.dsc
  to main/g/ghc/ghc_7.0.4-8.dsc
ghc_7.0.4-8_amd64.deb
  to main/g/ghc/ghc_7.0.4-8_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 631073@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated ghc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 30 Oct 2011 17:56:23 +0100
Source: ghc
Binary: ghc ghc-prof ghc-doc ghc-dynamic ghc-haddock ghc6 ghc6-doc ghc6-prof
Architecture: source all amd64
Version: 7.0.4-8
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 ghc        - The Glasgow Haskell Compilation system
 ghc-doc    - Documentation for the Glasgow Haskell Compilation system
 ghc-dynamic - Dynamic libraries for the Glasgow Haskell Compilation system
 ghc-haddock - Documentation tool for annotated Haskell source code
 ghc-prof   - Profiling libraries for the Glasgow Haskell Compilation system
 ghc6       - transitional dummy package
 ghc6-doc   - transitional dummy package
 ghc6-prof  - transitional dummy package
Closes: 631073
Changes: 
 ghc (7.0.4-8) unstable; urgency=low
 .
   * Remove ghci support on powerpc (Closes: #631073)
Checksums-Sha1: 
 e68dfc4aa212b0b366c07e22443e8f02ab75ce47 1589 ghc_7.0.4-8.dsc
 5b24ce2cfa0af29aed24e6370a9fc74995ed497d 70983 ghc_7.0.4-8.debian.tar.gz
 3467549e0a59932a65e507d413ff409ef2d6bdd3 13325502 ghc-doc_7.0.4-8_all.deb
 b7e4fa747913a82b9891252ddaa0dd69a38cfcd6 25166 ghc6_7.0.4-8_all.deb
 5e143aed1d448727cb81b04836c0e2745dc5868e 25300 ghc6-doc_7.0.4-8_all.deb
 ba71f326df5161ed7417ff93ddf1bd304099ed01 24844 ghc6-prof_7.0.4-8_all.deb
 bfa4b2137aa0d19f2d66eaf33720d64f7b362949 39562560 ghc_7.0.4-8_amd64.deb
 a1a596ca1c88488e077547b9cd658212dfc497d6 41679442 ghc-prof_7.0.4-8_amd64.deb
 6a51577a57cf26eb54ce30cd938d7d7c8c188524 18665160 ghc-dynamic_7.0.4-8_amd64.deb
 92682e1f2d4ec9d6f3f9559abdea7f88b007ef4f 5635114 ghc-haddock_7.0.4-8_amd64.deb
Checksums-Sha256: 
 12b5b7a9174ebd9694bc4e4906cb65a1e97c876d0dd5db9ff4b21878a58eebde 1589 ghc_7.0.4-8.dsc
 b0ce36d1a16b28321ff910d998ec42ca4d5eeddd4ea308afffacb0dc02b5d602 70983 ghc_7.0.4-8.debian.tar.gz
 3e31eb444c7e8bd97e04bba069d532040695ea8bd5a7b678fd999eb2e26994ed 13325502 ghc-doc_7.0.4-8_all.deb
 fb77e72c317d40c2760df1dfab6ad9d45119f54abe4d07bb9b01f3a8d4695931 25166 ghc6_7.0.4-8_all.deb
 179da27599f7f59dbcd2456a1dc3c8478ff12f3a616383e74cac3d81dbcfc8ba 25300 ghc6-doc_7.0.4-8_all.deb
 9329694de91a7b3a112368778bb042f4c82046ead5972a2c152e9316407a9d4f 24844 ghc6-prof_7.0.4-8_all.deb
 3f399464e4905b5c0eb52414f585eeeff8df51f7bd1ff6e97b32f0531bc88370 39562560 ghc_7.0.4-8_amd64.deb
 7ab1a602893e3aac158c3384a945ae33a1798050d03252ba60e735bc625704a0 41679442 ghc-prof_7.0.4-8_amd64.deb
 04074acc18b542407f2cf76a8c989183839fc66cc994f02c99bcb0c9ceae80d8 18665160 ghc-dynamic_7.0.4-8_amd64.deb
 6c215947a98db13e7d6b7409e4eedba7f6993199ac846c083c58a630e05cf32f 5635114 ghc-haddock_7.0.4-8_amd64.deb
Files: 
 52469e1d406b00c8a43da2ab93a5fede 1589 haskell extra ghc_7.0.4-8.dsc
 17044b2ee7183949aeb84407ae71183d 70983 haskell extra ghc_7.0.4-8.debian.tar.gz
 2ec6248683a1fea2a750e02fbf11e062 13325502 doc extra ghc-doc_7.0.4-8_all.deb
 5d6432aada17d4a6e76c7bf442e0e461 25166 haskell extra ghc6_7.0.4-8_all.deb
 0ad4716d6c1b2d365b6c1ffac0047110 25300 doc extra ghc6-doc_7.0.4-8_all.deb
 b26a5b8f61455e3d29d3c2f2571c2b6f 24844 haskell extra ghc6-prof_7.0.4-8_all.deb
 ecadb50b81f47d68a71dc12f2fcef3c0 39562560 haskell extra ghc_7.0.4-8_amd64.deb
 fcd76e2825c8ba3bd897a5f631778534 41679442 haskell extra ghc-prof_7.0.4-8_amd64.deb
 7f1361eaacf709371a035fde885eb84c 18665160 haskell extra ghc-dynamic_7.0.4-8_amd64.deb
 9bfb0445e25888b66767d5608ad3bd50 5635114 haskell extra ghc-haddock_7.0.4-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6tlDEACgkQ9ijrk0dDIGyriwCeKvZ4gdntBg1jx46d+/oTXb97
200AoJbtYFoBF1EwETmkhrolFHdwDj7U
=i3Xu
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Sun, 30 Oct 2011 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sun, 30 Oct 2011 21:57:04 GMT) Full text and rfc822 format available.

Message #44 received at 631073@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: 631073@bugs.debian.org
Subject: Re: Bug#631073 closed by Joachim Breitner <nomeata@debian.org> (Bug#631073: fixed in ghc 7.0.4-8)
Date: Mon, 31 Oct 2011 08:54:42 +1100
[Message part 1 (text/plain, inline)]
On 30-Oct-2011, Debian Bug Tracking System wrote:
> Changes: 
>  ghc (7.0.4-8) unstable; urgency=low
>  .
>    * Remove ghci support on powerpc (Closes: #631073)

Does that apply only to ‘ghc’, or to all of Haskell generally? Is there
another Haskell interpreter which can work on PowerPC that could be used as
an alternative dependency?

-- 
 \      “I can picture in my mind a world without war, a world without |
  `\   hate. And I can picture us attacking that world, because they'd |
_o__)                                   never expect it.” —Jack Handey |
Ben Finney <ben@benfinney.id.au>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Sun, 30 Oct 2011 22:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sun, 30 Oct 2011 22:57:12 GMT) Full text and rfc822 format available.

Message #49 received at 631073@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: 631073@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#631073: closed by Joachim Breitner <nomeata@debian.org> (Bug#631073: fixed in ghc 7.0.4-8)
Date: Mon, 31 Oct 2011 09:49:42 +1100
Ben Finney wrote:

> On 30-Oct-2011, Debian Bug Tracking System wrote:
> > Changes: 
> >  ghc (7.0.4-8) unstable; urgency=low
> >  .
> >    * Remove ghci support on powerpc (Closes: #631073)
> 
> Does that apply only to ‘ghc’, or to all of Haskell generally? Is there
> another Haskell interpreter which can work on PowerPC that could be used as
> an alternative dependency?

No, even the Hugs interpreter (which has now bitrotted upstream) is
not a suitable replacement for ghci.

I have been intermitently working on fixing ghci for powerpc, but its
been rather difficult as the problem is in ghci's runtime linker and
gdb is less useful than normal because it doesn't understand ghci's
stack manipulation.

Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Mon, 31 Oct 2011 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Mon, 31 Oct 2011 08:21:04 GMT) Full text and rfc822 format available.

Message #54 received at 631073@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 631073@bugs.debian.org
Cc: Ben Finney <ben+debian@benfinney.id.au>
Subject: Re: [Pkg-haskell-maintainers] Bug#631073: Bug#631073: closed by Joachim Breitner <nomeata@debian.org> (Bug#631073: fixed in ghc 7.0.4-8)
Date: Mon, 31 Oct 2011 09:17:45 +0100
[Message part 1 (text/plain, inline)]
Hi Ben,

Am Montag, den 31.10.2011, 09:49 +1100 schrieb Erik de Castro Lopo:
> > On 30-Oct-2011, Debian Bug Tracking System wrote:
> > > Changes: 
> > >  ghc (7.0.4-8) unstable; urgency=low
> > >  .
> > >    * Remove ghci support on powerpc (Closes: #631073)
> > 
> > Does that apply only to ‘ghc’, or to all of Haskell generally? Is there
> > another Haskell interpreter which can work on PowerPC that could be used as
> > an alternative dependency?
> 
> No, even the Hugs interpreter (which has now bitrotted upstream) is
> not a suitable replacement for ghci.
> 
> I have been intermitently working on fixing ghci for powerpc, but its
> been rather difficult as the problem is in ghci's runtime linker and
> gdb is less useful than normal because it doesn't understand ghci's
> stack manipulation.

also note that only ghci was removed, not ghc entirely, so a large
portion of the haskell ecosystem is still available on powerpc.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Tue, 27 Dec 2011 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrik Sverdrup <ulrik.sverdrup@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 27 Dec 2011 00:42:03 GMT) Full text and rfc822 format available.

Message #59 received at 631073@bugs.debian.org (full text, mbox):

From: Ulrik Sverdrup <ulrik.sverdrup@gmail.com>
To: 631073@bugs.debian.org
Subject: Why remove?
Date: Tue, 27 Dec 2011 01:37:59 +0100
Why are you removing ghci for powerpc when it works for some users? It
works for me (already reported in this bug).

--ulrik sverdrup




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Tue, 27 Dec 2011 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 27 Dec 2011 07:45:03 GMT) Full text and rfc822 format available.

Message #64 received at 631073@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Ulrik Sverdrup <ulrik.sverdrup@gmail.com>, 631073@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#631073: Why remove?
Date: Tue, 27 Dec 2011 18:29:44 +1100
Ulrik Sverdrup wrote:

> Why are you removing ghci for powerpc when it works for some users? It
> works for me (already reported in this bug).

Sorry, keeping a package because it works for some users but not
others does not really makes sense. Especially since some parts of
the haskell ecosystem need GHCi to compile and that they currently
break on the debian buildds.

However, I for one would like to see this issue fixed and would
appreciate it if you could supply more information for your system.
For instance, if you could post the output of "cat /proc/cpuinfo"
for your powerpc system where ghci works that may provide a clue.

Cheers,
Erik

PS : I have been tracking GHC upstream for the best part of a year and
     GHCi remains broken on my system.
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Mon, 02 Jan 2012 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 631073@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Mon, 02 Jan 2012 19:39:03 GMT) Full text and rfc822 format available.

Message #69 received at 631073@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: ulrik.sverdrup@gmail.com
Cc: 631073@bugs.debian.org
Subject: Attention Ulrik Sverdrup re Debian bug 631073
Date: Tue, 3 Jan 2012 06:37:04 +1100
Hi Ulrik,

Please forgive me contacting you directly like this, but you haven't
responded to my request regarding Debain bug #631073.

As I mentioned in my response to your post it would be most helpful
if you could help me figure out why GHCi works on your system and
not on mine.

Specifically, please post the output of the command "cat /proc/cpuinfo"
for your powerpc system where GHCi works correctly.

Regards,
Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Tue, 10 Jan 2012 18:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrik Sverdrup <ulrik.sverdrup@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 10 Jan 2012 18:15:10 GMT) Full text and rfc822 format available.

Message #74 received at 631073@bugs.debian.org (full text, mbox):

From: Ulrik Sverdrup <ulrik.sverdrup@gmail.com>
To: 631073@bugs.debian.org
Subject: Re: Attention Ulrik Sverdrup re Debian bug 631073
Date: Tue, 10 Jan 2012 19:12:17 +0100
2012/1/2 Erik de Castro Lopo <erikd@mega-nerd.com>:
> Hi Ulrik,
>
> Please forgive me contacting you directly like this, but you haven't
> responded to my request regarding Debain bug #631073.
>
> As I mentioned in my response to your post it would be most helpful
> if you could help me figure out why GHCi works on your system and
> not on mine.
>
> Specifically, please post the output of the command "cat /proc/cpuinfo"
> for your powerpc system where GHCi works correctly.

Don't worry, that was probably the best thing to do. I'm back now and
I'll answer.

My guess is that it's simple -- ppc32 vs ppc64. I have ghc version
7.0.4-7 and ghci works fine. This computer here is age-old now:

$ cat /proc/cpuinfo
processor	: 0
cpu		: 7447A, altivec supported
clock		: 1199.999000MHz
revision	: 1.2 (pvr 8003 0102)
bogomips	: 73.72
timebase	: 18432000
platform	: PowerMac
model		: PowerBook6,5
machine		: PowerBook6,5
motherboard	: PowerBook6,5 MacRISC3 Power Macintosh
detected as	: 287 (iBook G4)
pmac flags	: 0000001b
L2 cache	: 512K unified
pmac-generation	: NewWorld
Memory		: 1280 MB

$ uname -a
Linux localhost 2.6.39-2-powerpc #1 Tue Jul 5 02:51:13 UTC 2011 ppc GNU/Linux




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Tue, 10 Jan 2012 21:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 10 Jan 2012 21:27:07 GMT) Full text and rfc822 format available.

Message #79 received at 631073@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Ulrik Sverdrup <ulrik.sverdrup@gmail.com>, 631073@bugs.debian.org
Cc: 631073@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#631073: Attention Ulrik Sverdrup re Debian bug 631073
Date: Wed, 11 Jan 2012 08:15:53 +1100
Ulrik Sverdrup wrote:

> Don't worry, that was probably the best thing to do. I'm back now and
> I'll answer.
> 
> My guess is that it's simple -- ppc32 vs ppc64. I have ghc version
> 7.0.4-7 and ghci works fine.

Yes, they are both running a complete 32 bit user space, but the ppc64
machine has a 64 bit kernel (32 bit kernel won't boot).

The other thing is that your G4 CPU does not have altivec instructions.

Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Tue, 10 Jan 2012 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrik Sverdrup <ulrik.sverdrup@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 10 Jan 2012 23:51:03 GMT) Full text and rfc822 format available.

Message #84 received at 631073@bugs.debian.org (full text, mbox):

From: Ulrik Sverdrup <ulrik.sverdrup@gmail.com>
To: Erik de Castro Lopo <erikd@mega-nerd.com>
Cc: 631073@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#631073: Attention Ulrik Sverdrup re Debian bug 631073
Date: Wed, 11 Jan 2012 00:46:33 +0100
2012/1/10 Erik de Castro Lopo <erikd@mega-nerd.com>:
> Ulrik Sverdrup wrote:
>
>> Don't worry, that was probably the best thing to do. I'm back now and
>> I'll answer.
>>
>> My guess is that it's simple -- ppc32 vs ppc64. I have ghc version
>> 7.0.4-7 and ghci works fine.
>
> Yes, they are both running a complete 32 bit user space, but the ppc64
> machine has a 64 bit kernel (32 bit kernel won't boot).
>
> The other thing is that your G4 CPU does not have altivec instructions.
>
> Erik

It does have altivec, and it appears to be detected by linux (see
cpuinfo output, second line)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#631073; Package ghc. (Wed, 11 Jan 2012 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Wed, 11 Jan 2012 00:15:03 GMT) Full text and rfc822 format available.

Message #89 received at 631073@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Ulrik Sverdrup <ulrik.sverdrup@gmail.com>
Cc: 631073@bugs.debian.org
Subject: Re: [Pkg-haskell-maintainers] Bug#631073: Attention Ulrik Sverdrup re Debian bug 631073
Date: Wed, 11 Jan 2012 11:03:32 +1100
Ulrik Sverdrup wrote:

> It does have altivec, and it appears to be detected by linux (see
> cpuinfo output, second line)

Ok, then it must purely be a 32 vs 64 bit thing.

Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 Feb 2012 07:43:24 GMT) Full text and rfc822 format available.

Added indication that bug 631073 blocks 700281 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2013 11:24:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:42:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.